JBoss API: Class JNDIView

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Class JNDIView

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.naming.JNDIView

All Implemented Interfaces:
  JNDIViewMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class JNDIView
extends ServiceMBeanSupport
implements JNDIViewMBean

A simple utlity mbean that allows one to recursively list the default JBoss InitialContext. Deploy by adding: to the jboss.jcml file.

Version:
  $Revision: 1.4.2.3 $
Author:
  Scott.Stark@jboss.org, Vladimir Blagojevic

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.naming.JNDIViewMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`JNDIView()`

Method Summary
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`java.lang.String` | `list(boolean verbose)` List deployed application java:comp namespaces, the java: namespace as well as the global InitialContext JNDI namespace.
`java.lang.String` | `listXML()` List deployed application java:comp namespaces, the java: namespace as well as the global InitialContext JNDI namespace in a XML Format.

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### JNDIView

    public JNDIView()

Method Detail

### list

    public java.lang.String list(boolean verbose)

  List deployed application java:comp namespaces, the java: namespace as well as the global InitialContext JNDI namespace.
  Specified by:
    `list` in interface `JNDIViewMBean`
  Parameters:
    `verbose,` - if true, list the class of each object in addition to its name

### listXML

    public java.lang.String listXML()

  List deployed application java:comp namespaces, the java: namespace as well as the global InitialContext JNDI namespace in a XML Format.
  Specified by:
    `listXML` in interface `JNDIViewMBean`
  Parameters:
    `verbose,` - if true, list the class of each object in addition to its name

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName name)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.